Bug 305861

Summary: xmodmap fails to remap mouse buttons
Product: [Fedora] Fedora Reporter: James Ralston <ralston>
Component: xorg-x11-server-utilsAssignee: Peter Hutterer <peter.hutterer>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: triage, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-15 02:09:04 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description James Ralston 2007-09-25 15:03:43 EDT
I have a Logitech MouseMan Wheel USB mouse.  In addition to the three top
buttons and the wheel, it has an additional button on the side of the mouse. 
From using xev, I can tell that this addition button is button 8.  By default,
it does nothing.

I wish to map button 8 so that it sends the button code for button 2.  As per
the xmodmap man page, I believe this is the correct command:

$ xmodmap -e "pointer = 1 2 3 4 5 6 7 2 9"

However, this command generates the following error:

X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  116 (X_SetPointerMapping)
  Value in failed request:  0x2
  Serial number of failed request:  9
  Current serial number in output stream:  9

I can *swap* button 2 and button 8 just fine:

$ xmodmap -e "pointer = 1 8 3 4 5 6 7 2 9"
$ xmodmap -pp
There are 9 pointer buttons defined.

    Physical        Button
     Button          Code
        1              1
        2              8
        3              3
        4              4
        5              5
        6              6
        7              7
        8              2
        9              9

But I don't want to swap the buttons; I want physical button 2 and physical
button 8 to both send button code 2.

Is not being able to assign the same button code to multiple physical buttons a
bug with xmodmap?  Or is there a different mechanism for accomplishing this that
I don't know about?

(This is with xorg-x11-server-utils-7.2-1.fc7 and
xorg-x11-server-Xorg-  I am using an xorg.conf file that was
generated by system-configi-display; it does not have an InputDevice section for
the mouse.)
Comment 2 Bug Zapper 2008-05-14 10:30:05 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:29:12 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 James Ralston 2008-06-17 10:49:52 EDT
This problem still exists with Fedora 9; there still appears to be no way to
have multiple mouse buttons send the same button code.
Comment 5 Peter Hutterer 2008-07-15 02:09:04 EDT
From the X Protocol Specification:
"A zero element disables a button. Elements are not restricted in value by the
number of physical buttons, but no two elements can have the same nonzero value
(or a Value error results)."

Sorry. Closing as NOTABUG, this is explicitly not supported by the X server.

See also: http://lists.freedesktop.org/archives/xorg/2006-July/016613.html
Comment 6 James Ralston 2008-07-15 11:30:49 EDT

I'll take this upstream.
Comment 7 James Ralston 2008-07-15 12:17:18 EDT